Subject: [bug#52790] [PATCH v3 0/7] Update docker to 20.10.15.

From: Pierre Langlois <[email-masked]>
Date: Tue, 10 May 2022 00:27:48 +0100

Hi Guix!

I just rebased this series, and did a quick round of new updates:

  runc: 1.1.0 -> 1.1.1
  containerd: 1.6.2 -> 1.6.4
  docker: 20.10.14 -> 20.10.15

Tested locally briefly and ran:

  make check-system TESTS="docker docker-system"

Thanks,
Pierre

Pierre Langlois (7):
  gnu: runc: Update to 1.1.1.
  gnu: containerd: Fix patch-paths build phase.
  gnu: containerd: Update to 1.6.4.
  gnu: containerd: Switch to gexp arguments.
  gnu: docker: Fix mkfs.xfs reference.
  gnu: docker: Update to 20.10.15.
  gnu: docker: Switch to gexp and new input style.

 gnu/local.mk                                |   1 -
 gnu/packages/docker.scm                     | 628 ++++++++++----------
 gnu/packages/networking.scm                 |   6 +-
 gnu/packages/patches/docker-fix-tests.patch |  28 -
 gnu/packages/virtualization.scm             |   9 +-
 5 files changed, 318 insertions(+), 354 deletions(-)
 delete mode 100644 gnu/packages/patches/docker-fix-tests.patch

-- 
2.36.0

Pierre Langlois <[email-masked]> writes:

> Hi Guix!
>
> I rebased this series, updated it to 20.10.14 and did a bit of spring gexp
> cleanup.  Tested manually with a simple Ubuntu container, and with
>
>   make check-system TESTS="docker docker-system"
>
> I've seen reports of issues on help-guix that /look/ like patch number 2 might
> fix it, so we could submit that first if the rest needs more work.
>
> WDYT?
> Thanks,
> Pierre
>
> Pierre Langlois (7):
>   gnu: runc: Update to 1.1.0.
>   gnu: containerd: Fix patch-paths build phase.
>   gnu: containerd: Update to 1.6.2.
>   gnu: containerd: Switch to gexp arguments.
>   gnu: docker: Fix mkfs.xfs reference.
>   gnu: docker: Update to 20.10.14.
>   gnu: docker: Switch to gexp and new input style.
>
>  gnu/local.mk                                |   1 -
>  gnu/packages/docker.scm                     | 625 ++++++++++----------
>  gnu/packages/networking.scm                 |   6 +-
>  gnu/packages/patches/docker-fix-tests.patch |  28 -
>  gnu/packages/virtualization.scm             |   6 +-
>  5 files changed, 314 insertions(+), 352 deletions(-)
>  delete mode 100644 gnu/packages/patches/docker-fix-tests.patch